Index: lemon/dijkstra.h
===================================================================
--- lemon/dijkstra.h	(revision 2230)
+++ lemon/dijkstra.h	(revision 2260)
@@ -49,5 +49,5 @@
 
     ///The type of the map that stores the edge lengths.
-    ///It must meet the \ref concept::ReadMap "ReadMap" concept.
+    ///It must meet the \ref concepts::ReadMap "ReadMap" concept.
     typedef LM LengthMap;
     //The type of the length of the edges.
@@ -87,5 +87,5 @@
     ///The type of the map that stores the last
     ///edges of the shortest paths.
-    ///It must meet the \ref concept::WriteMap "WriteMap" concept.
+    ///It must meet the \ref concepts::WriteMap "WriteMap" concept.
     ///
     typedef typename Graph::template NodeMap<typename GR::Edge> PredMap;
@@ -103,5 +103,5 @@
  
     ///The type of the map that stores whether a nodes is processed.
-    ///It must meet the \ref concept::WriteMap "WriteMap" concept.
+    ///It must meet the \ref concepts::WriteMap "WriteMap" concept.
     ///By default it is a NullMap.
     ///\todo If it is set to a real map,
@@ -125,5 +125,5 @@
  
     ///The type of the map that stores the dists of the nodes.
-    ///It must meet the \ref concept::WriteMap "WriteMap" concept.
+    ///It must meet the \ref concepts::WriteMap "WriteMap" concept.
     ///
     typedef typename Graph::template NodeMap<typename LM::Value> DistMap;
@@ -143,9 +143,9 @@
   ///This class provides an efficient implementation of %Dijkstra algorithm.
   ///The edge lengths are passed to the algorithm using a
-  ///\ref concept::ReadMap "ReadMap",
+  ///\ref concepts::ReadMap "ReadMap",
   ///so it is easy to change it to any kind of length.
   ///
   ///The type of the length is determined by the
-  ///\ref concept::ReadMap::Value "Value" of the length map.
+  ///\ref concepts::ReadMap::Value "Value" of the length map.
   ///
   ///It is also possible to change the underlying priority heap.
@@ -158,5 +158,5 @@
   ///relatively time consuming process to compute the edge length if
   ///it is necessary. The default map type is \ref
-  ///concept::Graph::EdgeMap "Graph::EdgeMap<int>".  The value
+  ///concepts::Graph::EdgeMap "Graph::EdgeMap<int>".  The value
   ///of LM is not used directly by Dijkstra, it is only passed to \ref
   ///DijkstraDefaultTraits.  \param TR Traits class to set
@@ -820,5 +820,5 @@
 
     ///The type of the map that stores the edge lengths.
-    ///It must meet the \ref concept::ReadMap "ReadMap" concept.
+    ///It must meet the \ref concepts::ReadMap "ReadMap" concept.
     typedef LM LengthMap;
     //The type of the length of the edges.
@@ -862,5 +862,5 @@
     ///The type of the map that stores the last
     ///edges of the shortest paths.
-    ///It must meet the \ref concept::WriteMap "WriteMap" concept.
+    ///It must meet the \ref concepts::WriteMap "WriteMap" concept.
     ///
     typedef NullMap <typename GR::Node,typename GR::Edge> PredMap;
@@ -881,5 +881,5 @@
  
     ///The type of the map that stores whether a nodes is processed.
-    ///It must meet the \ref concept::WriteMap "WriteMap" concept.
+    ///It must meet the \ref concepts::WriteMap "WriteMap" concept.
     ///By default it is a NullMap.
     ///\todo If it is set to a real map,
@@ -903,5 +903,5 @@
  
     ///The type of the map that stores the dists of the nodes.
-    ///It must meet the \ref concept::WriteMap "WriteMap" concept.
+    ///It must meet the \ref concepts::WriteMap "WriteMap" concept.
     ///
     typedef NullMap<typename Graph::Node,typename LM::Value> DistMap;
Index: lemon/edge_set.h
===================================================================
--- lemon/edge_set.h	(revision 2224)
+++ lemon/edge_set.h	(revision 2260)
@@ -239,9 +239,9 @@
   ///
   /// \param _Graph The type of the graph which shares its node set with 
-  /// this class. Its interface must conform to the \ref concept::Graph
+  /// this class. Its interface must conform to the \ref concepts::Graph
   /// "Graph" concept.
   ///
   /// In the edge extension and removing it conforms to the 
-  /// \ref concept::Graph "Graph" concept.
+  /// \ref concepts::Graph "Graph" concept.
   template <typename _Graph>
   class ListEdgeSet : public EdgeSetExtender<ListEdgeSetBase<_Graph> > {
@@ -331,9 +331,9 @@
   ///
   /// \param _Graph The type of the graph which shares its node set with 
-  /// this class. Its interface must conform to the \ref concept::Graph
+  /// this class. Its interface must conform to the \ref concepts::Graph
   /// "Graph" concept.
   ///
   /// In the edge extension and removing it conforms to the 
-  /// \ref concept::UGraph "UGraph" concept.
+  /// \ref concepts::UGraph "UGraph" concept.
   template <typename _Graph>
   class ListUEdgeSet 
@@ -568,9 +568,9 @@
   ///
   /// \param _Graph The type of the graph which shares its node set with 
-  /// this class. Its interface must conform to the \ref concept::Graph
+  /// this class. Its interface must conform to the \ref concepts::Graph
   /// "Graph" concept.
   ///
   /// In the edge extension and removing it conforms to the 
-  /// \ref concept::Graph "Graph" concept.
+  /// \ref concepts::Graph "Graph" concept.
   template <typename _Graph>
   class SmartEdgeSet : public EdgeSetExtender<SmartEdgeSetBase<_Graph> > {
@@ -672,9 +672,9 @@
   ///
   /// \param _Graph The type of the graph which shares its node set with 
-  /// this class. Its interface must conform to the \ref concept::Graph
+  /// this class. Its interface must conform to the \ref concepts::Graph
   /// "Graph" concept.
   ///
   /// In the edge extension and removing it conforms to the 
-  /// \ref concept::UGraph "UGraph" concept.
+  /// \ref concepts::UGraph "UGraph" concept.
   template <typename _Graph>
   class SmartUEdgeSet 
Index: lemon/floyd_warshall.h
===================================================================
--- lemon/floyd_warshall.h	(revision 2184)
+++ lemon/floyd_warshall.h	(revision 2260)
@@ -95,5 +95,5 @@
     ///
     /// The type of the map that stores the edge lengths.
-    /// It must meet the \ref concept::ReadMap "ReadMap" concept.
+    /// It must meet the \ref concepts::ReadMap "ReadMap" concept.
     typedef _LengthMap LengthMap;
 
@@ -130,5 +130,5 @@
     ///
     /// The type of the map that stores the dists of the nodes.
-    /// It must meet the \ref concept::WriteMatrixMap "WriteMatrixMap" concept.
+    /// It must meet the \ref concepts::WriteMatrixMap "WriteMatrixMap" concept.
     ///
     typedef DynamicMatrixMap<Graph, typename Graph::Node, Value> DistMap;
@@ -150,5 +150,5 @@
   /// This class provides an efficient implementation of \c Floyd-Warshall 
   /// algorithm. The edge lengths are passed to the algorithm using a
-  /// \ref concept::ReadMap "ReadMap", so it is easy to change it to any 
+  /// \ref concepts::ReadMap "ReadMap", so it is easy to change it to any 
   /// kind of length.
   ///
@@ -163,5 +163,5 @@
   ///
   /// The type of the length is determined by the
-  /// \ref concept::ReadMap::Value "Value" of the length map.
+  /// \ref concepts::ReadMap::Value "Value" of the length map.
   ///
   /// \param _Graph The graph type the algorithm runs on. The default value
@@ -172,5 +172,5 @@
   /// relatively time consuming process to compute the edge length if
   /// it is necessary. The default map type is \ref
-  /// concept::Graph::EdgeMap "Graph::EdgeMap<int>".  The value
+  /// concepts::Graph::EdgeMap "Graph::EdgeMap<int>".  The value
   /// of _LengthMap is not used directly by FloydWarshall, it is only passed 
   /// to \ref FloydWarshallDefaultTraits.  \param _Traits Traits class to set
Index: lemon/fredman_tarjan.h
===================================================================
--- lemon/fredman_tarjan.h	(revision 2151)
+++ lemon/fredman_tarjan.h	(revision 2260)
@@ -37,5 +37,5 @@
 #include <lemon/graph_utils.h>
 
-#include <lemon/concept/ugraph.h>
+#include <lemon/concepts/ugraph.h>
 
 namespace lemon {
@@ -53,5 +53,5 @@
 
     ///The type of the map that stores the edge costs.
-    ///It must meet the \ref concept::ReadMap "ReadMap" concept.
+    ///It must meet the \ref concepts::ReadMap "ReadMap" concept.
     typedef CM CostMap;
     //The type of the cost of the edges.
@@ -62,5 +62,5 @@
     ///The type of the map that stores whether an edge is in the
     ///spanning tree or not.
-    ///It must meet the \ref concept::ReadWriteMap "ReadWriteMap" concept.
+    ///It must meet the \ref concepts::ReadWriteMap "ReadWriteMap" concept.
     ///By default it is a BoolEdgeMap.
     typedef typename UGraph::template UEdgeMap<bool> TreeMap;
@@ -89,9 +89,9 @@
   ///
   ///The edge costs are passed to the algorithm using a \ref
-  ///concept::ReadMap "ReadMap", so it is easy to change it to any
+  ///concepts::ReadMap "ReadMap", so it is easy to change it to any
   ///kind of cost.
   ///
   ///The type of the cost is determined by the \ref
-  ///concept::ReadMap::Value "Value" of the cost map.
+  ///concepts::ReadMap::Value "Value" of the cost map.
   ///
   ///\param GR The graph type the algorithm runs on. The default value
@@ -104,5 +104,5 @@
   ///relatively time consuming process to compute the edge cost if it
   ///is necessary. The default map type is \ref
-  ///concept::UGraph::UEdgeMap "UGraph::UEdgeMap<int>". The value of
+  ///concepts::UGraph::UEdgeMap "UGraph::UEdgeMap<int>". The value of
   ///CM is not used directly by FredmanTarjan, it is only passed to
   ///\ref FredmanTarjanDefaultTraits.
@@ -366,5 +366,5 @@
       _tree(0), local_tree(false)
     {
-      checkConcept<concept::UGraph, UGraph>();
+      checkConcept<concepts::UGraph, UGraph>();
     }
     
Index: lemon/full_graph.h
===================================================================
--- lemon/full_graph.h	(revision 2256)
+++ lemon/full_graph.h	(revision 2260)
@@ -168,9 +168,9 @@
   /// edges or nodes.
   /// Thus it conforms to
-  /// the \ref concept::Graph "Graph" concept and
+  /// the \ref concepts::Graph "Graph" concept and
   ///it also has an
   ///important extra feature that
-  ///its maps are real \ref concept::ReferenceMap "reference map"s.
-  /// \sa concept::Graph.
+  ///its maps are real \ref concepts::ReferenceMap "reference map"s.
+  /// \sa concepts::Graph.
   ///
   /// \sa FullUGraph
@@ -385,5 +385,5 @@
   ///It also has an
   ///important extra feature that
-  ///its maps are real \ref concept::ReferenceMap "reference map"s.
+  ///its maps are real \ref concepts::ReferenceMap "reference map"s.
   ///
   /// \sa FullGraph
Index: lemon/graph_adaptor.h
===================================================================
--- lemon/graph_adaptor.h	(revision 2251)
+++ lemon/graph_adaptor.h	(revision 2260)
@@ -2493,5 +2493,5 @@
   ///
   /// This graph adaptor is fully conform to the 
-  /// \ref concept::Graph "Graph" concept and
+  /// \ref concepts::Graph "Graph" concept and
   /// contains some additional member functions and types. The 
   /// documentation of some member functions may be found just in the
Index: lemon/grid_ugraph.h
===================================================================
--- lemon/grid_ugraph.h	(revision 2256)
+++ lemon/grid_ugraph.h	(revision 2260)
@@ -293,8 +293,8 @@
   ///\endcode
   ///
-  /// The graph type is fully conform to the \ref concept::UGraph
+  /// The graph type is fully conform to the \ref concepts::UGraph
   /// "Undirected Graph" concept,  and it also has an
   ///important extra feature that
-  ///its maps are real \ref concept::ReferenceMap "reference map"s.
+  ///its maps are real \ref concepts::ReferenceMap "reference map"s.
   ///
   ///
Index: lemon/hypercube_graph.h
===================================================================
--- lemon/hypercube_graph.h	(revision 2242)
+++ lemon/hypercube_graph.h	(revision 2260)
@@ -190,6 +190,6 @@
   /// is 26. 
   ///
-  /// The graph type is fully conform to the \ref concept::Graph
-  /// concept but it does not conform to the \ref concept::UGraph.
+  /// The graph type is fully conform to the \ref concepts::Graph
+  /// concept but it does not conform to the \ref concepts::UGraph.
   ///
   /// \author Balazs Dezso
Index: lemon/johnson.h
===================================================================
--- lemon/johnson.h	(revision 2230)
+++ lemon/johnson.h	(revision 2260)
@@ -97,5 +97,5 @@
     ///
     /// The type of the map that stores the edge lengths.
-    /// It must meet the \ref concept::ReadMap "ReadMap" concept.
+    /// It must meet the \ref concepts::ReadMap "ReadMap" concept.
     typedef _LengthMap LengthMap;
 
@@ -163,5 +163,5 @@
     ///
     /// The type of the matrix map that stores the dists of the nodes.
-    /// It must meet the \ref concept::WriteMatrixMap "WriteMatrixMap" concept.
+    /// It must meet the \ref concepts::WriteMatrixMap "WriteMatrixMap" concept.
     ///
     typedef DynamicMatrixMap<Graph, typename Graph::Node, Value> DistMap;
@@ -183,5 +183,5 @@
   /// This class provides an efficient implementation of \c %Johnson 
   /// algorithm. The edge lengths are passed to the algorithm using a
-  /// \ref concept::ReadMap "ReadMap", so it is easy to change it to any 
+  /// \ref concepts::ReadMap "ReadMap", so it is easy to change it to any 
   /// kind of length.
   ///
@@ -198,5 +198,5 @@
   ///
   /// The type of the length is determined by the
-  /// \ref concept::ReadMap::Value "Value" of the length map.
+  /// \ref concepts::ReadMap::Value "Value" of the length map.
   ///
   /// \param _Graph The graph type the algorithm runs on. The default value
@@ -207,5 +207,5 @@
   /// relatively time consuming process to compute the edge length if
   /// it is necessary. The default map type is \ref
-  /// concept::Graph::EdgeMap "Graph::EdgeMap<int>".  The value
+  /// concepts::Graph::EdgeMap "Graph::EdgeMap<int>".  The value
   /// of _LengthMap is not used directly by Johnson, it is only passed 
   /// to \ref JohnsonDefaultTraits.  \param _Traits Traits class to set
Index: lemon/kruskal.h
===================================================================
--- lemon/kruskal.h	(revision 2259)
+++ lemon/kruskal.h	(revision 2260)
@@ -45,6 +45,6 @@
   ///
   /// \param g The graph the algorithm runs on.
-  /// It can be either \ref concept::Graph "directed" or 
-  /// \ref concept::UGraph "undirected".
+  /// It can be either \ref concepts::Graph "directed" or 
+  /// \ref concepts::UGraph "undirected".
   /// If the graph is directed, the algorithm consider it to be 
   /// undirected by disregarding the direction of the edges.
@@ -84,5 +84,5 @@
   ///
   /// \warning If kruskal runs on an
-  /// \ref lemon::concept::UGraph "undirected graph", be sure that the
+  /// \ref lemon::concepts::UGraph "undirected graph", be sure that the
   /// map storing the tree is also undirected
   /// (e.g. ListUGraph::UEdgeMap<bool>, otherwise the values of the
Index: lemon/lemon_reader.h
===================================================================
--- lemon/lemon_reader.h	(revision 2207)
+++ lemon/lemon_reader.h	(revision 2260)
@@ -42,5 +42,5 @@
 
 #include <lemon/concept_check.h>
-#include <lemon/concept/maps.h>
+#include <lemon/concepts/maps.h>
 
 namespace lemon {
@@ -832,5 +832,5 @@
     NodeSetReader& _readMap(std::string name, MapParameter map, 
 			    const Reader& reader = Reader()) {
-      checkConcept<concept::WriteMap<Node, typename Map::Value>, Map>();
+      checkConcept<concepts::WriteMap<Node, typename Map::Value>, Map>();
       checkConcept<_reader_bits::ItemReader<typename Map::Value>, Reader>();
       if (readers.find(name) != readers.end()) {
@@ -1062,5 +1062,5 @@
     EdgeSetReader& _readMap(std::string name, MapParameter map, 
 			    const Reader& reader = Reader()) {
-      checkConcept<concept::WriteMap<Edge, typename Map::Value>, Map>();
+      checkConcept<concepts::WriteMap<Edge, typename Map::Value>, Map>();
       checkConcept<_reader_bits::ItemReader<typename Map::Value>, Reader>();
       if (readers.find(name) != readers.end()) {
@@ -1306,5 +1306,5 @@
     UEdgeSetReader& _readMap(std::string name, MapParameter map,
 				 const Reader& reader = Reader()) {
-      checkConcept<concept::WriteMap<UEdge, typename Map::Value>, Map>();
+      checkConcept<concepts::WriteMap<UEdge, typename Map::Value>, Map>();
       checkConcept<_reader_bits::ItemReader<typename Map::Value>, Reader>();
       if (readers.find(name) != readers.end()) {
@@ -1377,5 +1377,5 @@
 				    const Reader& reader = Reader()) { 
       checkConcept<_reader_bits::ItemReader<typename Map::Value>, Reader>();
-      checkConcept<concept::WriteMap<Edge, typename Map::Value>, Map>();
+      checkConcept<concepts::WriteMap<Edge, typename Map::Value>, Map>();
       readMap("+" + name, 
 	      _reader_bits::forwardComposeMap(graph, map), reader);
Index: lemon/lemon_writer.h
===================================================================
--- lemon/lemon_writer.h	(revision 2207)
+++ lemon/lemon_writer.h	(revision 2260)
@@ -41,5 +41,5 @@
 
 #include <lemon/concept_check.h>
-#include <lemon/concept/maps.h>
+#include <lemon/concepts/maps.h>
 
 
@@ -484,5 +484,5 @@
     NodeSetWriter& writeNodeMap(std::string name, const Map& map, 
 			    const Writer& writer = Writer()) {
-      checkConcept<concept::ReadMap<Node, typename Map::Value>, Map>();
+      checkConcept<concepts::ReadMap<Node, typename Map::Value>, Map>();
       checkConcept<_writer_bits::ItemWriter<typename Map::Value>, Writer>();
       writers.push_back(
@@ -673,5 +673,5 @@
     EdgeSetWriter& writeEdgeMap(std::string name, const Map& map, 
 			    const Writer& writer = Writer()) {
-      checkConcept<concept::ReadMap<Edge, typename Map::Value>, Map>();
+      checkConcept<concepts::ReadMap<Edge, typename Map::Value>, Map>();
       checkConcept<_writer_bits::ItemWriter<typename Map::Value>, Writer>();
       writers.push_back(
@@ -879,5 +879,5 @@
     UEdgeSetWriter& writeUEdgeMap(std::string name, const Map& map, 
 					  const Writer& writer = Writer()) {
-      checkConcept<concept::ReadMap<UEdge, typename Map::Value>, Map>();
+      checkConcept<concepts::ReadMap<UEdge, typename Map::Value>, Map>();
       checkConcept<_writer_bits::ItemWriter<typename Map::Value>, Writer>();
       writers.push_back(
@@ -902,5 +902,5 @@
     UEdgeSetWriter& writeEdgeMap(std::string name, const Map& map, 
 				     const Writer& writer = Writer()) {
-      checkConcept<concept::ReadMap<Edge, typename Map::Value>, Map>();
+      checkConcept<concepts::ReadMap<Edge, typename Map::Value>, Map>();
       checkConcept<_writer_bits::ItemWriter<typename Map::Value>, Writer>();
       writeUEdge("+" + name, 
Index: lemon/list_graph.h
===================================================================
--- lemon/list_graph.h	(revision 2256)
+++ lemon/list_graph.h	(revision 2260)
@@ -319,5 +319,5 @@
   ///This is a simple and fast graph implementation.
   ///
-  ///It conforms to the \ref concept::Graph "Graph concept" and it
+  ///It conforms to the \ref concepts::Graph "Graph concept" and it
   ///also provides several additional useful extra functionalities.
   ///The most of the member functions and nested classes are
@@ -325,7 +325,7 @@
   ///
   ///An important extra feature of this graph implementation is that
-  ///its maps are real \ref concept::ReferenceMap "reference map"s.
+  ///its maps are real \ref concepts::ReferenceMap "reference map"s.
   ///
-  ///\sa concept::Graph.
+  ///\sa concepts::Graph.
 
   class ListGraph : public ExtendedListGraphBase {
@@ -749,10 +749,10 @@
   ///
   ///An important extra feature of this graph implementation is that
-  ///its maps are real \ref concept::ReferenceMap "reference map"s.
+  ///its maps are real \ref concepts::ReferenceMap "reference map"s.
   ///
   ///It conforms to the
-  ///\ref concept::UGraph "UGraph concept".
+  ///\ref concepts::UGraph "UGraph concept".
   ///
-  ///\sa concept::UGraph.
+  ///\sa concepts::UGraph.
   ///
   class ListUGraph : public ExtendedListUGraphBase {
@@ -1498,10 +1498,10 @@
   ///
   /// This is a bipartite undirected graph implementation.
-  /// It is conforms to the \ref concept::BpUGraph "BpUGraph concept".
+  /// It is conforms to the \ref concepts::BpUGraph "BpUGraph concept".
   ///
   ///An important extra feature of this graph implementation is that
-  ///its maps are real \ref concept::ReferenceMap "reference map"s.
+  ///its maps are real \ref concepts::ReferenceMap "reference map"s.
   ///
-  /// \sa concept::BpUGraph.
+  /// \sa concepts::BpUGraph.
   ///
   class ListBpUGraph : public ExtendedListBpUGraphBase {
Index: lemon/lp_base.h
===================================================================
--- lemon/lp_base.h	(revision 2218)
+++ lemon/lp_base.h	(revision 2260)
@@ -666,5 +666,5 @@
     ///std::map<AnyType,LpSolverBase::Col>
     ///\endcode
-    ///- an iterable lemon \ref concept::WriteMap "write map" like 
+    ///- an iterable lemon \ref concepts::WriteMap "write map" like 
     ///\code
     ///ListGraph::NodeMap<LpSolverBase::Col>
@@ -766,5 +766,5 @@
     ///std::map<AnyType,LpSolverBase::Row>
     ///\endcode
-    ///- an iterable lemon \ref concept::WriteMap "write map" like 
+    ///- an iterable lemon \ref concepts::WriteMap "write map" like 
     ///\code
     ///ListGraph::NodeMap<LpSolverBase::Row>
Index: lemon/maps.h
===================================================================
--- lemon/maps.h	(revision 2258)
+++ lemon/maps.h	(revision 2260)
@@ -30,5 +30,5 @@
 ///\brief Miscellaneous property maps
 ///
-///\todo This file has the same name as the concept file in concept/,
+///\todo This file has the same name as the concept file in concepts/,
 /// and this is not easily detectable in docs...
 
@@ -253,5 +253,5 @@
   ///Convert the \c Value of a map to another type.
 
-  ///This \ref concept::ReadMap "read only map"
+  ///This \ref concepts::ReadMap "read only map"
   ///converts the \c Value of a maps to type \c T.
   ///Its \c Key is inherited from \c M.
@@ -290,5 +290,5 @@
   ///Simple wrapping of the map
 
-  ///This \ref concept::ReadMap "read only map" returns the simple
+  ///This \ref concepts::ReadMap "read only map" returns the simple
   ///wrapping of the given map. Sometimes the reference maps cannot be
   ///combined with simple read maps. This map adaptor wraps the given
@@ -310,5 +310,5 @@
   ///Simple writeable wrapping of the map
 
-  ///This \ref concept::ReadMap "read only map" returns the simple
+  ///This \ref concepts::ReadMap "read only map" returns the simple
   ///wrapping of the given map. Sometimes the reference maps cannot be
   ///combined with simple read-write maps. This map adaptor wraps the
@@ -331,5 +331,5 @@
   ///Sum of two maps
 
-  ///This \ref concept::ReadMap "read only map" returns the sum of the two
+  ///This \ref concepts::ReadMap "read only map" returns the sum of the two
   ///given maps. Its \c Key and \c Value will be inherited from \c M1.
   ///The \c Key and \c Value of M2 must be convertible to those of \c M1.
@@ -364,5 +364,5 @@
   ///Shift a map with a constant.
 
-  ///This \ref concept::ReadMap "read only map" returns the sum of the
+  ///This \ref concepts::ReadMap "read only map" returns the sum of the
   ///given map and a constant value.
   ///Its \c Key and \c Value is inherited from \c M.
@@ -397,5 +397,5 @@
   ///Shift a map with a constant.
 
-  ///This \ref concept::ReadWriteMap "read-write map" returns the sum of the
+  ///This \ref concepts::ReadWriteMap "read-write map" returns the sum of the
   ///given map and a constant value. It makes also possible to write the map.
   ///Its \c Key and \c Value is inherited from \c M.
@@ -446,5 +446,5 @@
   ///Difference of two maps
 
-  ///This \ref concept::ReadMap "read only map" returns the difference
+  ///This \ref concepts::ReadMap "read only map" returns the difference
   ///of the values of the two
   ///given maps. Its \c Key and \c Value will be inherited from \c M1.
@@ -477,5 +477,5 @@
   ///Product of two maps
 
-  ///This \ref concept::ReadMap "read only map" returns the product of the
+  ///This \ref concepts::ReadMap "read only map" returns the product of the
   ///values of the two
   ///given
@@ -508,5 +508,5 @@
   ///Scales a maps with a constant.
 
-  ///This \ref concept::ReadMap "read only map" returns the value of the
+  ///This \ref concepts::ReadMap "read only map" returns the value of the
   ///given map multiplied from the left side with a constant value.
   ///Its \c Key and \c Value is inherited from \c M.
@@ -541,5 +541,5 @@
   ///Scales a maps with a constant.
 
-  ///This \ref concept::ReadWriteMap "read-write map" returns the value of the
+  ///This \ref concepts::ReadWriteMap "read-write map" returns the value of the
   ///given map multiplied from the left side with a constant value. It can
   ///be used as write map also if the given multiplier is not zero.
@@ -581,5 +581,5 @@
   ///Quotient of two maps
 
-  ///This \ref concept::ReadMap "read only map" returns the quotient of the
+  ///This \ref concepts::ReadMap "read only map" returns the quotient of the
   ///values of the two
   ///given maps. Its \c Key and \c Value will be inherited from \c M1.
@@ -611,5 +611,5 @@
   ///Composition of two maps
 
-  ///This \ref concept::ReadMap "read only map" returns the composition of
+  ///This \ref concepts::ReadMap "read only map" returns the composition of
   ///two
   ///given maps. That is to say, if \c m1 is of type \c M1 and \c m2 is
@@ -656,5 +656,5 @@
   ///
   ///
-  ///This \ref concept::ReadMap "read only map" takes two maps and a
+  ///This \ref concepts::ReadMap "read only map" takes two maps and a
   ///binary functor and returns the composition of
   ///the two
@@ -728,5 +728,5 @@
   ///Negative value of a map
 
-  ///This \ref concept::ReadMap "read only map" returns the negative
+  ///This \ref concepts::ReadMap "read only map" returns the negative
   ///value of the
   ///value returned by the
@@ -749,5 +749,5 @@
   ///Negative value of a map
 
-  ///This \ref concept::ReadWriteMap "read-write map" returns the negative
+  ///This \ref concepts::ReadWriteMap "read-write map" returns the negative
   ///value of the value returned by the
   ///given map. Its \c Key and \c Value will be inherited from \c M.
@@ -784,5 +784,5 @@
   ///Absolute value of a map
 
-  ///This \ref concept::ReadMap "read only map" returns the absolute value
+  ///This \ref concepts::ReadMap "read only map" returns the absolute value
   ///of the
   ///value returned by the
@@ -833,5 +833,5 @@
   ///Converts an STL style functor to a map
 
-  ///This \ref concept::ReadMap "read only map" returns the value
+  ///This \ref concepts::ReadMap "read only map" returns the value
   ///of a
   ///given map.
@@ -891,5 +891,5 @@
   ///
   ///For the sake of convenience it also works as
-  ///a ususal \ref concept::ReadMap "readable map",
+  ///a ususal \ref concepts::ReadMap "readable map",
   ///i.e. <tt>operator[]</tt> and the \c Key and \c Value typedefs also exist.
 
@@ -926,5 +926,5 @@
   ///Applies all map setting operations to two maps
 
-  ///This map has two \ref concept::ReadMap "readable map"
+  ///This map has two \ref concepts::ReadMap "readable map"
   ///parameters and each read request will be passed just to the
   ///first map. This class is the just readable map type of the ForkWriteMap.
@@ -950,7 +950,7 @@
   ///Applies all map setting operations to two maps
 
-  ///This map has two \ref concept::WriteMap "writable map"
+  ///This map has two \ref concepts::WriteMap "writable map"
   ///parameters and each write request will be passed to both of them.
-  ///If \c M1 is also \ref concept::ReadMap "readable",
+  ///If \c M1 is also \ref concepts::ReadMap "readable",
   ///then the read operations will return the
   ///corresponding values of \c M1.
@@ -997,5 +997,5 @@
   ///Logical 'not' of a map
   
-  ///This bool \ref concept::ReadMap "read only map" returns the 
+  ///This bool \ref concepts::ReadMap "read only map" returns the 
   ///logical negation of
   ///value returned by the
@@ -1018,5 +1018,5 @@
   ///Logical 'not' of a map with writing possibility
   
-  ///This bool \ref concept::ReadWriteMap "read-write map" returns the 
+  ///This bool \ref concepts::ReadWriteMap "read-write map" returns the 
   ///logical negation of value returned by the given map. When it is set,
   ///the opposite value is set to the original map.
Index: lemon/matrix_maps.h
===================================================================
--- lemon/matrix_maps.h	(revision 2088)
+++ lemon/matrix_maps.h	(revision 2260)
@@ -26,5 +26,5 @@
 #include <lemon/maps.h>
 
-#include <lemon/concept/matrix_maps.h>
+#include <lemon/concepts/matrix_maps.h>
 
 /// \file
@@ -32,5 +32,5 @@
 /// \brief Maps indexed with pairs of items.
 ///
-/// \todo This file has the same name as the concept file in concept/,
+/// \todo This file has the same name as the concept file in concepts/,
 ///  and this is not easily detectable in docs...
 namespace lemon {
@@ -296,5 +296,5 @@
     template <typename CMap>
     DynamicMatrixMap& operator=(const CMap& _cmap){
-      checkConcept<concept::ReadMatrixMap<FirstKey, SecondKey, Value>, CMap>();
+      checkConcept<concepts::ReadMatrixMap<FirstKey, SecondKey, Value>, CMap>();
       typename Parent::Notifier* notifier = Parent::getNotifier();
       Key first, second;
@@ -433,5 +433,5 @@
     template <typename CMap>
     DynamicSymMatrixMap& operator=(const CMap& _cmap){
-      checkConcept<concept::ReadMatrixMap<FirstKey, SecondKey, Value>, CMap>();
+      checkConcept<concepts::ReadMatrixMap<FirstKey, SecondKey, Value>, CMap>();
       typename Parent::Notifier* notifier = Parent::getNotifier();
       Key first, second;
@@ -520,5 +520,5 @@
   ///needed.
   ///
-  ///This map meet with the concept::ReferenceMatrixMap<typename K1,
+  ///This map meet with the concepts::ReferenceMatrixMap<typename K1,
   ///typename K2, typename V, typename R, typename CR> called as
   ///"ReferenceMatrixMap".
@@ -861,5 +861,5 @@
     template <typename CMap>
     DynamicAsymMatrixMap& operator=(const CMap& _cdmap){
-      checkConcept<concept::ReadMatrixMap<FirstKey, SecondKey, Value>, CMap>();
+      checkConcept<concepts::ReadMatrixMap<FirstKey, SecondKey, Value>, CMap>();
       const typename FirstKeyProxy::Notifier* notifierFirstKey = 
         _first_key_proxy.getNotifier();
Index: lemon/min_cost_arborescence.h
===================================================================
--- lemon/min_cost_arborescence.h	(revision 2259)
+++ lemon/min_cost_arborescence.h	(revision 2260)
@@ -46,5 +46,5 @@
     ///
     /// The type of the map that stores the edge costs.
-    /// It must meet the \ref concept::ReadMap "ReadMap" concept.
+    /// It must meet the \ref concepts::ReadMap "ReadMap" concept.
     typedef _CostMap CostMap;
 
@@ -58,5 +58,5 @@
     ///
     /// The type of the map that stores which edges are in the arborescence.
-    /// It must meet the \ref concept::WriteMap "WriteMap" concept.
+    /// It must meet the \ref concepts::WriteMap "WriteMap" concept.
     /// Initially it will be set to false on each edge. After it
     /// will set all arborescence edges once.
@@ -111,5 +111,5 @@
   /// relatively time consuming process to compute the edge cost if
   /// it is necessary. The default map type is \ref
-  /// concept::Graph::EdgeMap "Graph::EdgeMap<int>".  The value
+  /// concepts::Graph::EdgeMap "Graph::EdgeMap<int>".  The value
   /// of _CostMap is not used directly by MinCostArborescence, 
   /// it is only passed to \ref MinCostArborescenceDefaultTraits.  
